drop type id_sum cascade;
create type id_sum as (
  ids int4[],
  sums float8[]
);

drop type two_arrays cascade;
create type two_arrays as (
  one int4[],
  two int4[]
);

drop table if exists test_lua cascade;
create table test_lua (
  id serial primary key,
  name varchar,
  names varchar[],
  ints int4[],
  sums id_sum[]
);

insert into test_lua (name, names, ints, sums)
values 
  ('hi1', '{ho1_1, ho1_2}', '{1,2,3,4,5}', E'{"(\\"{2,3}\\",\\"{4,5}\\")"}'),
  ('hi2', '{ho2_1, ho2_2}', ARRAY[2,3,4,5,6], ARRAY[ROW(ARRAY[2,3], ARRAY[4.0, 5.0])::id_sum]);
