set names 'sql_ascii';
set lc_messages='C';

create or replace function test_scalarset_lua1(j int4)
returns setof int4
language plluacu
as $$
  for i = 1, j-2 do 
    coroutine.yield(i)
  end
  return ipairs{ j-1, j }
$$;

select * from test_scalarset_lua1(4);

create or replace function test_scalarset_lua2(ar anyarray, el anyelement)
returns setof anyarray
language plluacu
as $$
  table.insert(ar, el)
  coroutine.yield(ar)
  table.insert(ar, el)
  spi.return_next(ar)
  table.insert(ar, el)
  return set{ ar }
$$;

select * from test_scalarset_lua2(ARRAY[1,2],3);
select * from test_scalarset_lua2(ARRAY['a','b'],'c');
select * from test_scalarset_lua2(ARRAY[('{1,2}','{3,4}')::two_arrays],('{5,6}','{7,8}')::two_arrays);