set names 'sql_ascii';
set lc_messages='C';

create or replace function test_simple_lua1()
returns void
language plluacu
as $$ $$;

select test_simple_lua1();

create or replace function test_simple_lua2()
returns int4
language plluacu
as $$ $$;

select test_simple_lua2();

create or replace function test_simple_lua3()
returns int8
language plluacu
as $$ return 2e10 $$;

select test_simple_lua3();

create or replace function test_simple_lua4()
returns float8
language plluacu
as $$ return 100.100 $$;

select test_simple_lua4();

create or replace function test_simple_lua5()
returns numeric(10, 0)
language plluacu
as $$ return 0.100 $$;

select test_simple_lua5();

create or replace function test_simple_lua5()
returns numeric(19,2)
language plluacu
as $$ return 100.100 $$;

select test_simple_lua5();

create or replace function test_simple_lua6()
returns text
language plluacu
as $$ return 'hihohu' $$;

select test_simple_lua6();

create or replace function test_simple_lua7()
returns varchar
language plluacu
as $$ return 'hihohu' $$;

select test_simple_lua7();

create or replace function test_simple_lua8()
returns int4[]
language plluacu
as $$ return { } $$;

select test_simple_lua8();

create or replace function test_simple_lua8()
returns int4[]
language plluacu
as $$ return { 1, NULL, 3} $$;

select test_simple_lua8();

create or replace function test_simple_lua8()
returns int4[]
language plluacu
as $$ return { { 1, 3}, {NULL, 4} } $$;

select test_simple_lua8();

create or replace function test_simple_lua9()
returns numeric[]
language plluacu
as $$ return { { 1.1, 3.3}, {NULL, 4.4} } $$;

select test_simple_lua9();

create or replace function test_simple_lua10()
returns id_sum
language plluacu
as $$ return {ids = {1, 2, 3}, sums={3.4, 5.6} } $$;

select test_simple_lua10();

create or replace function test_simple_lua12(ar anyarray, el anyelement)
returns anyarray
language plluacu
as $$
  table.insert(ar, el)
  return ar
$$;

select test_simple_lua12(ARRAY[1,2],3);
select test_simple_lua12(ARRAY['a','b'],'c');
