create or replace function test_recursion_lua_fibo(n int8)
returns int8
language plluacu
as $$
if n <=0 then return 0 end
if n == 1 then return 1 end -- :-)
return recursion(n-1) + recursion(n-2)
$$;

select test_recursion_lua_fibo(20);

create or replace function test_known_lua_find_fibo(n int8)
returns int8
language plluacu
as $$
  return known.fibo(n)
$$;
select test_known_lua_find_fibo(20); -- to check, run file twice

create or replace function test_known_lua_fibo(n int8)
returns int8
language plluacu
as $$
-- known as fibo
if n <=0 then return 0 end
if n == 1 then return 1 end -- :-)
return known.fibo(n-1) + known.fibo(n-2)
$$;

select test_known_lua_fibo(20);

